#include <Poco/Environment.h>
#include <iostream>

#include "poco.h"
#include "libxml_meson.h"
#include "host.h"

void info_poco(void);

int main(void)
{
    try
    {
        std::cout << "Compiled under:\n" << get_host_info() << "\n" << std::endl;
        std::cout << "Poco Test..." << std::endl;
        info_poco();
        std::cout << "Libxml2 Test..." << std::endl;
        info_libxml();
        create_xml();
        std::cout << "Enter any key to quit the program\n> ";
        std::cin.ignore();
    }
    catch (const std::exception &ex)
    {
        std::cerr << "\033[0;31m[ ERR]:\t" << ex.what() << "\033[0m" << std::flush;
    }
    return 0;
}

void info_poco(void)
{
    std::cout << "[TIME]:\t" << get_date_time() << "\n";
    std::cout << "[  OS]:\t" << Poco::Environment::osDisplayName() << " v" << Poco::Environment::osVersion() << "\n";
    std::cout << "[ARCH]:\t" << Poco::Environment::osArchitecture() << "\n";
    std::cout << "[POCO]:\tPoco C++ Library v" << format_poco_version() << "\n";
    std::cout << std::endl;
}
