#include "poco.h"

#include <Poco/LocalDateTime.h>
#include <Poco/DateTimeFormatter.h>
#include <Poco/Environment.h>
#include <Poco/Format.h>
#include <cstdint>

std::string get_date_time()
{
    Poco::LocalDateTime dateTime;
    return Poco::DateTimeFormatter::format(
        dateTime,
        "%W %d %B %Y at %H:%M:%S");
}

std::string format_poco_version()
{
    uint32_t full_version = Poco::Environment::libraryVersion();
    return Poco::format("%u.%u.%u", (full_version >> 24), ((full_version >> 16) & 0xff), ((full_version >> 8) & 0xff));
}